[build-system]
requires = ["setuptools >= 65.0", "cython >= 0.29.0"]
build-backend = "setuptools.build_meta"

[project]
name = "medux_timetracker"
authors = [{name = "Christian González", email = "office@nerdocs.at"}]
readme = "README.md"
license = {file = "LICENSE.md"}
dynamic = ["version"]
classifiers = [
    "Development Status :: 2 - Pre-Alpha",
    "Environment :: Web Environment",
    "Framework :: Django :: 4.1",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)",
    "Natural Language :: English",
    "Operating System :: OS Independent",
    "Topic :: Internet :: WWW/HTTP",
    "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
]
description = "MedUX timetracking plugin for employees"
requires-python = ">=3.10"
dependencies = [
    "medux>=0.0.8",
    "holidays"
]

[project.urls]
Home = "https://medux-timetracker.readthedocs.org"

[project.entry-points."medux.plugins"]
timetracker = "medux.plugins.timetracker:apps.TimetrackerConfig"


[tool.setuptools.dynamic]
version = {attr = "medux.plugins.timetracker.__version__"}

[tool.setuptools.packages.find]
where = ["src"]

[tool.ruff]
target-version = "py311"
exclude = [
    "migrations",
]
[tool.ruff.per-file-ignores]
"__init__.py" = [ "F403" ]